### Hierarchy

- ClientStorage

### Implements

- Storage

## Index

### Constructors

- constructor

### Properties

- _storage

### Methods

- clearAll
- getAllKeys
- getItem
- getJson
- multiRemove
- removeItem
- setItem
- setJson
- setStorageApi

## Constructors

### constructor

- new ClientStorage(): ClientStorage

- - Defined in storage/ClientStorage.ts:20

  #### Returns ClientStorage

## Properties

### Static Private _storage

_storage: Storage

- Defined in storage/ClientStorage.ts:8

## Methods

### clearAll

- clearAll(): Promise<void>

- Implementation of Storage.clearAll

  - Defined in storage/ClientStorage.ts:53

  #### Returns Promise<void>

### getAllKeys

- getAllKeys(): Promise<string[]>

- Implementation of Storage.getAllKeys

  - Defined in storage/ClientStorage.ts:57

  #### Returns Promise<string[]>

### getItem

- getItem(key: string): Promise<string>

- Implementation of Storage.getItem

  - Defined in storage/ClientStorage.ts:33

  #### Parameters

  - ##### key: string

  #### Returns Promise<string>

### getJson

- getJson(key: string): Promise<any>

- Implementation of Storage.getJson

  - Defined in storage/ClientStorage.ts:37

  #### Parameters

  - ##### key: string

  #### Returns Promise<any>

### multiRemove

- multiRemove(keys: Array<string>): Promise<void>

- Implementation of Storage.multiRemove

  - Defined in storage/ClientStorage.ts:61

  #### Parameters

  - ##### keys: Array<string>

  #### Returns Promise<void>

### removeItem

- removeItem(key: string): Promise<void>

- Implementation of Storage.removeItem

  - Defined in storage/ClientStorage.ts:49

  #### Parameters

  - ##### key: string

  #### Returns Promise<void>

### setItem

- setItem(key: string, value: string): Promise<void>

- Implementation of Storage.setItem

  - Defined in storage/ClientStorage.ts:41

  #### Parameters

  - ##### key: string

  - ##### value: string

  #### Returns Promise<void>

### setJson

- setJson(key: string, value: any): Promise<void>

- Implementation of Storage.setJson

  - Defined in storage/ClientStorage.ts:45

  #### Parameters

  - ##### key: string

  - ##### value: any

  #### Returns Promise<void>

### Static setStorageApi

- setStorageApi(storageApi: any): void

- - Defined in storage/ClientStorage.ts:10

  #### Parameters

  - ##### storageApi: any

  #### Returns void

Generated using TypeDoc